{
  "compilerOptions": {
    "composite": true,
    /* Base Options */
    "target": "ES2022",
    "lib": ["ES2022"],
    "module": "ESNext",
    "skipLibCheck": true,

    /* Bundler & Module Resolution */
    "moduleResolution": "bundler",
    "verbatimModuleSyntax": true,

    /* Strictness & Linting */
    "strict": true
  },
  "include": ["vite.config.ts", "eslint.config.ts"]
}
